Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class EmbeddedDomain

    java.lang.Object
      org.apache.slide.common.EmbeddedDomain

public class EmbeddedDomain
extends java.lang.Object

Alternate domain designed to ease embedding.

Version:
  $Revision: 1.12 $

Constructor Summary
`EmbeddedDomain()` Default constructor.

Method Summary
`Namespace` | `addNamespace(java.lang.String name, Logger logger, Configuration definition, Configuration configuration, Configuration baseData)` Add a namespace to this domain.
`java.util.Enumeration` | `enumerateNamespaces()` Enumerate namespace names.
`java.lang.String` | `getDefaultNamespace()` Return the default namespace of this domain.
`Logger` | `getLogger()` Deprecated. Use the namespace loggers instead
`java.lang.String` | `getName()` Gets the qulified name of the namespace.
`Namespace` | `getNamespace(java.lang.String name)` Get a namespace.
`NamespaceAccessToken` | `getNamespaceToken(java.lang.String namespaceName)` Access a Namespace.
`Namespace` | `removeNamespace(java.lang.String name)` Clsose a namespace.
`void` | `setDefaultNamespace(java.lang.String defaultNamespace)` Set the default namespace of this domain.
`void` | `setLogger(Logger logger)` Deprecated. Use the namespace loggers instead
`void` | `setName(java.lang.String name)` Sets the qualified name of the namespace.
`void` | `setParameters(java.util.Hashtable parameters)` Set the specified parameters
`void` | `start()` Start domain (doesn't do anything yet).
`void` | `stop()` Stop domain.
`java.lang.String` | `toString()` Get a String representation of this domain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmbeddedDomain

    public EmbeddedDomain()

  Default constructor.

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the qualified name of the namespace.

  Parameters:
    `name` - Name of the namespace

### getName

    public java.lang.String getName()

  Gets the qulified name of the namespace.

  Returns:
    String Namespace name

### getDefaultNamespace

    public java.lang.String getDefaultNamespace()

  Return the default namespace of this domain.

  Returns:
    the name of the default namespace

### setDefaultNamespace

    public void setDefaultNamespace(java.lang.String defaultNamespace)

  Set the default namespace of this domain.

  Parameters:
    `defaultNamespace` - New default namespace name

### setLogger

    public void setLogger(Logger logger)

  Deprecated. Use the namespace loggers instead

  Set the logger to be used by Slide.

  Parameters:
    `logger` - Logger the domain will use

### getLogger

    public Logger getLogger()

  Deprecated. Use the namespace loggers instead

  Get the Domain logger.

  Returns:
    The domain logger

### getNamespaceToken

    public NamespaceAccessToken getNamespaceToken(java.lang.String namespaceName)

  Access a Namespace.

  Parameters:
    `namespaceName` - Name of the namespace on which access is requested
  Returns:
    NamespaceAccessToken Access token to the namespace

### enumerateNamespaces

    public java.util.Enumeration enumerateNamespaces()

  Enumerate namespace names.

### addNamespace

    public Namespace addNamespace(java.lang.String name,
                                  Logger logger,
                                  Configuration definition,
                                  Configuration configuration,
                                  Configuration baseData)

  Add a namespace to this domain.

  Parameters:
    `name` - Namespace name
    `logger` - Namespace logger
    `definition` - Input stream to the namepace definition
    `configuration` - Input stream to the namespace configuration
    `baseData` - Input stream to the anmespace base data

### removeNamespace

    public Namespace removeNamespace(java.lang.String name)

  Clsose a namespace.

  Parameters:
    `name` - Name of the namespace

### getNamespace

    public Namespace getNamespace(java.lang.String name)

  Get a namespace.

  Parameters:
    `name` - Name of the namespace
  Returns:
    Namespace

### setParameters

    public void setParameters(java.util.Hashtable parameters)

  Set the specified parameters

  Parameters:
    `parameters` - the parameters

### start

    public void start()
               throws java.lang.Exception

  Start domain (doesn't do anything yet).

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Stop domain.

  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Get a String representation of this domain.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD